function [ freq ] = coord_symhc2_even_nonneg( N, d )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

if ceil(N) ~= N
  error('N must be integer');
end

Nmax_array = [0 0 0 0 0 0 0 0 0 0];

freq = [];

if ((d <= size(Nmax_array,2)) && (N <= Nmax_array(d)))
  filename = sprintf('coord_symhc_nonneg_N%d_d%d.mat',N,d);
  try
    load(filename,'freq');
    fprintf('Loading from %s\n',filename);
  catch err
  end
  if ((size(freq,1) == 0) || (size(freq,2) ~= d))
    filename = sprintf('coord_symhc_nonneg_N%d_d%d.mat',Nmax_array(d),d);
    try
      load(filename,'freq');
      fprintf('Loading from %s\n',filename);
    catch err
    end
    if ((size(freq,1) > 0) && (size(freq,2) == d))
      freq = freq(prod(max(1,abs(freq)),2) <= N,:);
    end
  end
  freq = double(freq);
end

freq = freq(prod(mod(freq,2)==0,2),:);

if ((size(freq,1) == 0) || (size(freq,2) ~= d))

freq = (0:2:N)';

for t=2:d
  tmpweight = prod(max(1,abs(freq)),2);
  newfreq = [freq, zeros(size(freq,1),1)];
  for newcomp = 2:2:N
    ind = find(tmpweight*max(1,abs(newcomp)) <= N);
    newfreq = [newfreq; freq(ind,:), repmat(newcomp, length(ind), 1)];
  end
  freq = newfreq;
end

end

end

