function [ fhat, norm_fct_square ] = bsplinet_test_9d_chat( freq_out )
%BSPLINET_TEST_6D_CHAT Summary of this function goes here
%   Detailed explanation goes here

fhat = zeros(size(freq_out,1),1);

ind=find(sum(abs(freq_out(:,[2 5 6 8 9])),2)==0);
fhat(ind) = fhat(ind) + bspline2t_chat_nd(freq_out(ind,[1 3 4 7]));

ind=find(sum(abs(freq_out(:,[1 3 4 7])),2)==0);
fhat(ind) = fhat(ind) + bspline4t_chat_nd(freq_out(ind,[2 5 6 8 9]));

[~, bspline2t_normcheb_d4_sq] = bspline2t_normcheb(4);
[~, bspline4t_normcheb_d5_sq] = bspline4t_normcheb(5);

norm_fct_square = pi^5*bspline2t_normcheb_d4_sq + pi^4*bspline4t_normcheb_d5_sq + pi^9*2*bspline2t_chat_nd(zeros(1,4))*bspline4t_chat_nd(zeros(1,5));

end

